#!/usr/bin/env runhaskell
> import Distribution.Simple
> import System.Cmd
> import System.Exit
> import System.Directory
> main = defaultMainWithHooks (simpleUserHooks { runTests = quickCheck } )
>     where
>     quickCheck _ _ _ _ = do
>         ec <- system $ "ghc --make -odir dist/build -hidir dist/build -idist/build:src t/runTests.hs -L/usr/lib -liconv -luuid -o t/runTests"
>         case ec of
>             ExitSuccess -> do
>                 system "t/runTests"
>             _           -> return ec
>         return ()
